{% macro show_task(task, show_assigned=True) %}
    <div class="task task-{{ task.color.name }}">
        <div class="description">
            {{- task.description -}}
        </div>
        <div class="misc-info">
            {%- if show_assigned and task.assigned_user != None -%}
                <div class="assigned-user">
                    <div class="icon-user"></div>
                    {{- task.assigned_user.display_name -}}
                </div>
            {%- endif -%}
            {%- if task.due_date != None -%}
            <div class="due-date">
                <div class="icon-date"></div>
                <date>{{ task.due_date.strftime("%d/%m/%Y") }}</date>
            </div>
            {%- endif -%}
        </div>
    </div>
{% endmacro %}

{% macro show_board(board) %}
<a class="block-link" href="{{ board.get_url() }}">
    <div class="board_summary">
        <h3>{{ board.name }}</h3>
    </div>
</a>
{% endmacro %}
